package com.emoon.admin;

import cn.dev33.satoken.SaManager;
import com.emoon.common.json.utils.JsonUtils;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.context.metrics.buffering.BufferingApplicationStartup;

/**
 * 启动程序
 *
 * @author wangkang
 */

@SpringBootApplication(
    scanBasePackages = {
        "com.emoon"
    }
)
@MapperScan({
    "com.emoon.*.mapper"
})
public class AdminApplication {

    public static void main(String[] args) {
        SpringApplication application = new SpringApplication(AdminApplication.class);
        application.setApplicationStartup(new BufferingApplicationStartup(2048));
        application.run(args);
        System.out.println("(♥◠‿◠)ﾉﾞ  RuoYi-Vue-Plus启动成功   ლ(´ڡ`ლ)ﾞ");
        System.out.println("启动成功，Sa-Token 配置如下：" + JsonUtils.toJsonString(SaManager.getConfig()));
    }

}
